.\" $Revision: 1.9 $
.TH INSTALLIT 1
.SH NAME
installit \- file/directory installation tool
.SH SYNOPSIS
.B installit
[
.BI \-o " owner"
]
[
.BI \-g " group"
]
[
.BI \-O " owner"
]
[
.BI \-G " group"
]
[
.BI \-m " mode"
]
[
.BI \-b " backup"
]
[
.B \-s
]
[
.B \-t
]
.I source
.I destination
.SH DESCRIPTION
.I Installit
puts a copy of
.I source
into the specified
.IR destination .
.PP
If
.I source
is a period, then
.I destination
is taken to be the name of a directory that should be created.
Otherwise,
.I source
is taken to name an existing file and
.I destination
may be either a file or directory; it is interpreted according
to the same rules as
.IR cp (1).
.PP
.I Installit
uses no special privileges to copy files from one place to another.
.SH OPTIONS
.TP
.B \-b
If
.I destination
names a pre-existing file, it will be removed before the copy is done.
To make a backup copy, use the ``\fB\-b\fP'' flag; the existing file will
be renamed to have the specified extension.
If
.I source
and
.I destination
are the same string, or if the two files are identical, then no copying is
done, and only the ``\fB\-o\fP'', ``\fB\-g\fP'', ``\fB\-m\fP'', 
and ``\fB\-s\fP'' flags (see below)
are processed.
In this case, the modification time on the
.I destination
will be updated using
.IR touch (1).
.TP
.B \-n
Do not update the modification time on the destination.
.TP
.B "\-o \-g \-m"
Once the
.I destination
has been created, it is possible to set the owner, group, and mode
that it should have.
This is done by using the ``\fB\-o\fP'', ``\fB\-g\fP'', 
and ``\fB\-m\fP'' flags, respectively.
.TP
.B "\-O \-G"
The ``\fB\-O\fP'' and ``\fB\-G\fP'' flags set the owner and group only if
.I installit
is being run by root, as determined by
.IR whoami (1).
.TP
.B \-s
To
.IR strip (1)
an installed executable, use the ``\fB\-s\fP'' flag.
.SH "BUGS AND LIMITATIONS"
Flags cannot be combined.
.PP
The
.IR chown (8)
command must exist in either the
.I /etc
or
.I /usr/etc
directory or the user's PATH.
.PP
The
.I whoami
command must exist in the
.I /usr/ucb
directory or the user's PATH.
.SH HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.
.de R$
This is revision \\$3, dated \\$4.
..
.R$ $Id: installit.1,v 1.9 1996/10/29 23:25:05 brister Exp $
